# Get channel types Retrieves full channel type definitions by their IDs. Request: ids - List of channel type IDs to retrieve. Response: channelTypes - List of ChannelType objects including authentication requirements and auth description detailing credential fields. Endpoint: POST /api/v1/channel/retrieve-channel-types Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `ids` (array) ## Response 200 fields (application/json): - `channelTypes` (array) - `channelTypes.id` (string) Rule data fields - `channelTypes.isRealtimeSync` (boolean) - `channelTypes.name` (string) Rule data fields - `channelTypes.description` (string) Rule data fields - `channelTypes.category` (integer) Enum: 0, 1, 2, 3 - `channelTypes.groupName` (string) Rule data fields - `channelTypes.logo` (string) Rule data fields - `channelTypes.enabled` (boolean) - `channelTypes.auth` (integer) Enum: 0, 1, 2, 3, 4 - `channelTypes.authDescription` (any) - `channelTypes.setupDescription` (object) - `channelTypes.setupDescription.params` (array) - `channelTypes.setupDescription.params.label` (string) Rule data fields - `channelTypes.setupDescription.params.value` (string) Rule data fields - `channelTypes.setupDescription.params.type` (integer) Enum: 0, 1, 2, 3, 4 ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)